#ifndef __gui__pages__statistics_h
#define __gui__pages__statistics_h
#include <QFrame>
#include <QWidget>
//#include "gui/widgets/text.h"

namespace TextWidgets {
	class Paragraph;
}

class StatisticsPage : public QFrame {
		Q_OBJECT

	public:
		StatisticsPage(QWidget* parent = nullptr);
		void UpdateStatistics();

	protected:
		void showEvent(QShowEvent*) override;

	private:
		std::string MinutesToDateString(int minutes);
		std::string SecondsToDateString(int seconds);

		TextWidgets::Paragraph* anime_list_data;

		// QPlainTextEdit* score_distribution_title;
		// QPlainTextEdit* score_distribution_labels;
		// wxStaticText* score_distribution_graph; // how am I gonna do this

		/* we don't HAVE a local database (yet ;)) */
		// QPlainTextEdit* local_database_data;

		TextWidgets::Paragraph* application_data;
};
#endif // __gui__pages__statistics_h